/*
 * Copyright 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class MediaSession2 implements java.lang.AutoCloseable {

MediaSession2() { throw new RuntimeException("Stub!"); }

public void close() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.Session2Token getToken() { throw new RuntimeException("Stub!"); }

public void broadcastSessionCommand(@android.annotation.NonNull android.media.Session2Command command, @android.annotation.Nullable android.os.Bundle args) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.Object sendSessionCommand(@android.annotation.NonNull android.media.MediaSession2.ControllerInfo controller, @android.annotation.NonNull android.media.Session2Command command, @android.annotation.Nullable android.os.Bundle args) { throw new RuntimeException("Stub!"); }

public void cancelSessionCommand(@android.annotation.NonNull android.media.MediaSession2.ControllerInfo controller, @android.annotation.NonNull java.lang.Object token) { throw new RuntimeException("Stub!"); }

public void setPlaybackActive(boolean playbackActive) { throw new RuntimeException("Stub!"); }

public boolean isPlaybackActive() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.media.MediaSession2.ControllerInfo> getConnectedControllers() { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull android.content.Context context) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.MediaSession2.Builder setSessionActivity(@android.annotation.Nullable android.app.PendingIntent pi) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.MediaSession2.Builder setId(@android.annotation.NonNull java.lang.String id) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.MediaSession2.Builder setSessionCallback(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.media.MediaSession2.SessionCallback callback) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.MediaSession2.Builder setExtras(@android.annotation.NonNull android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.MediaSession2 build() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class ControllerInfo {

ControllerInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.session.MediaSessionManager.RemoteUserInfo getRemoteUserInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getPackageName() { throw new RuntimeException("Stub!"); }

public int getUid() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getConnectionHints() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class SessionCallback {

public SessionCallback() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.media.Session2CommandGroup onConnect(@android.annotation.NonNull android.media.MediaSession2 session, @android.annotation.NonNull android.media.MediaSession2.ControllerInfo controller) { throw new RuntimeException("Stub!"); }

public void onPostConnect(@android.annotation.NonNull android.media.MediaSession2 session, @android.annotation.NonNull android.media.MediaSession2.ControllerInfo controller) { throw new RuntimeException("Stub!"); }

public void onDisconnected(@android.annotation.NonNull android.media.MediaSession2 session, @android.annotation.NonNull android.media.MediaSession2.ControllerInfo controller) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.media.Session2Command.Result onSessionCommand(@android.annotation.NonNull android.media.MediaSession2 session, @android.annotation.NonNull android.media.MediaSession2.ControllerInfo controller, @android.annotation.NonNull android.media.Session2Command command, @android.annotation.Nullable android.os.Bundle args) { throw new RuntimeException("Stub!"); }

public void onCommandResult(@android.annotation.NonNull android.media.MediaSession2 session, @android.annotation.NonNull android.media.MediaSession2.ControllerInfo controller, @android.annotation.NonNull java.lang.Object token, @android.annotation.NonNull android.media.Session2Command command, @android.annotation.NonNull android.media.Session2Command.Result result) { throw new RuntimeException("Stub!"); }
}

}

