/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.net;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class DnsResolver {

private DnsResolver() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.net.DnsResolver getInstance() { throw new RuntimeException("Stub!"); }

public void rawQuery(@android.annotation.Nullable android.net.Network network, @android.annotation.NonNull byte[] query, int flags, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.net.DnsResolver.Callback<? super byte[]> callback) { throw new RuntimeException("Stub!"); }

public void rawQuery(@android.annotation.Nullable android.net.Network network, @android.annotation.NonNull java.lang.String domain, int nsClass, int nsType, int flags, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.net.DnsResolver.Callback<? super byte[]> callback) { throw new RuntimeException("Stub!"); }

public void query(@android.annotation.Nullable android.net.Network network, @android.annotation.NonNull java.lang.String domain, int flags, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.net.DnsResolver.Callback<? super java.util.List<java.net.InetAddress>> callback) { throw new RuntimeException("Stub!"); }

public void query(@android.annotation.Nullable android.net.Network network, @android.annotation.NonNull java.lang.String domain, int nsType, int flags, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.net.DnsResolver.Callback<? super java.util.List<java.net.InetAddress>> callback) { throw new RuntimeException("Stub!"); }

public static final int CLASS_IN = 1; // 0x1

public static final int ERROR_PARSE = 0; // 0x0

public static final int ERROR_SYSTEM = 1; // 0x1

public static final int FLAG_EMPTY = 0; // 0x0

public static final int FLAG_NO_CACHE_LOOKUP = 4; // 0x4

public static final int FLAG_NO_CACHE_STORE = 2; // 0x2

public static final int FLAG_NO_RETRY = 1; // 0x1

public static final int TYPE_A = 1; // 0x1

public static final int TYPE_AAAA = 28; // 0x1c
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface Callback<T> {

public void onAnswer(@android.annotation.NonNull T answer, int rcode);

public void onError(@android.annotation.NonNull android.net.DnsResolver.DnsException error);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class DnsException extends java.lang.Exception {

DnsException() { throw new RuntimeException("Stub!"); }

public final int code;
{ code = 0; }
}

}

