/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.net;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class NetworkCapabilities implements android.os.Parcelable {

public NetworkCapabilities() { throw new RuntimeException("Stub!"); }

public NetworkCapabilities(android.net.NetworkCapabilities nc) { throw new RuntimeException("Stub!"); }

public boolean hasCapability(int capability) { throw new RuntimeException("Stub!"); }

public boolean hasTransport(int transportType) { throw new RuntimeException("Stub!"); }

public int getOwnerUid() { throw new RuntimeException("Stub!"); }

public int getLinkUpstreamBandwidthKbps() { throw new RuntimeException("Stub!"); }

public int getLinkDownstreamBandwidthKbps() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.NetworkSpecifier getNetworkSpecifier() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.TransportInfo getTransportInfo() { throw new RuntimeException("Stub!"); }

public int getSignalStrength() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.net.NetworkCapabilities> CREATOR;
static { CREATOR = null; }

public static final int NET_CAPABILITY_CAPTIVE_PORTAL = 17; // 0x11

public static final int NET_CAPABILITY_CBS = 5; // 0x5

public static final int NET_CAPABILITY_DUN = 2; // 0x2

public static final int NET_CAPABILITY_EIMS = 10; // 0xa

public static final int NET_CAPABILITY_FOREGROUND = 19; // 0x13

public static final int NET_CAPABILITY_FOTA = 3; // 0x3

public static final int NET_CAPABILITY_IA = 7; // 0x7

public static final int NET_CAPABILITY_IMS = 4; // 0x4

public static final int NET_CAPABILITY_INTERNET = 12; // 0xc

public static final int NET_CAPABILITY_MCX = 23; // 0x17

public static final int NET_CAPABILITY_MMS = 0; // 0x0

public static final int NET_CAPABILITY_NOT_CONGESTED = 20; // 0x14

public static final int NET_CAPABILITY_NOT_METERED = 11; // 0xb

public static final int NET_CAPABILITY_NOT_RESTRICTED = 13; // 0xd

public static final int NET_CAPABILITY_NOT_ROAMING = 18; // 0x12

public static final int NET_CAPABILITY_NOT_SUSPENDED = 21; // 0x15

public static final int NET_CAPABILITY_NOT_VPN = 15; // 0xf

public static final int NET_CAPABILITY_RCS = 8; // 0x8

public static final int NET_CAPABILITY_SUPL = 1; // 0x1

public static final int NET_CAPABILITY_TEMPORARILY_NOT_METERED = 25; // 0x19

public static final int NET_CAPABILITY_TRUSTED = 14; // 0xe

public static final int NET_CAPABILITY_VALIDATED = 16; // 0x10

public static final int NET_CAPABILITY_WIFI_P2P = 6; // 0x6

public static final int NET_CAPABILITY_XCAP = 9; // 0x9

public static final int SIGNAL_STRENGTH_UNSPECIFIED = -2147483648; // 0x80000000

public static final int TRANSPORT_BLUETOOTH = 2; // 0x2

public static final int TRANSPORT_CELLULAR = 0; // 0x0

public static final int TRANSPORT_ETHERNET = 3; // 0x3

public static final int TRANSPORT_LOWPAN = 6; // 0x6

public static final int TRANSPORT_VPN = 4; // 0x4

public static final int TRANSPORT_WIFI = 1; // 0x1

public static final int TRANSPORT_WIFI_AWARE = 5; // 0x5
}

