/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.net;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class SocketKeepalive implements java.lang.AutoCloseable {

SocketKeepalive() { throw new RuntimeException("Stub!"); }

public final void start(int intervalSec) { throw new RuntimeException("Stub!"); }

public final void stop() { throw new RuntimeException("Stub!"); }

public final void close() { throw new RuntimeException("Stub!"); }

public static final int ERROR_HARDWARE_ERROR = -31; // 0xffffffe1

public static final int ERROR_INSUFFICIENT_RESOURCES = -32; // 0xffffffe0

public static final int ERROR_INVALID_INTERVAL = -24; // 0xffffffe8

public static final int ERROR_INVALID_IP_ADDRESS = -21; // 0xffffffeb

public static final int ERROR_INVALID_LENGTH = -23; // 0xffffffe9

public static final int ERROR_INVALID_NETWORK = -20; // 0xffffffec

public static final int ERROR_INVALID_PORT = -22; // 0xffffffea

public static final int ERROR_INVALID_SOCKET = -25; // 0xffffffe7

public static final int ERROR_SOCKET_NOT_IDLE = -26; // 0xffffffe6

public static final int ERROR_UNSUPPORTED = -30; // 0xffffffe2
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Callback {

public Callback() { throw new RuntimeException("Stub!"); }

public void onStarted() { throw new RuntimeException("Stub!"); }

public void onStopped() { throw new RuntimeException("Stub!"); }

public void onError(int error) { throw new RuntimeException("Stub!"); }

public void onDataReceived() { throw new RuntimeException("Stub!"); }
}

}

